#include <bits/stdc++.h>

using namespace std;

void resi(int a[5][2], int razlika){
    int kolicnik = razlika/5, ostatak = razlika%5, tr;
    for(int i = 0;i < 5;i++)
        a[i][1] = kolicnik;
    for(int i = 0;i < ostatak;i++)
        a[i][1] += 1;
    for(int i = 0;i < 5;i++){
        tr = a[i][0] - a[i][1];
        if(tr < 2){
            a[i][0] += tr;
            a[i][1] -= tr;
        }
    }
    for(int i = 0;i < 5;i++){
        for(int j = 0;j < 2;j++){
            cout << a[i][j];
            if(j != 1)
                cout << " ";
        }
        cout << '\n';
    }
}

int main(){
    int n, a;
    cin >> n >> a;
    int niz[5][2];
    for(int i = 0;i < 5;i++)
        niz[i][0] = a;
    int razlika = n - a*5;
    resi(niz, razlika);
    return 0;
}